Subject: Re: bug#22148: 25.1.50; Segmentation fault when saving file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2015 09:53:44 +0200

> Date: Sat, 12 Dec 2015 09:00:51 +0530
> From: Sujith Manoharan <[email-masked]>
> 
> Emacs crashes when saving a .org file. It happened a few times
> when I would just open it, change a line and save it.

Is it possible for you to send that .org file (off-list), so I could
try debugging this on my system?

> I got the backtrace once in gdb, I've attached it below. The crash
> doesn't happen consistently, sometimes opening a mbox crashes too.
> I am using the master branch.

We'd appreciate if you could switch to tracking the emacs-25 branch
instead.

> Program received signal SIGSEGV, Segmentation fault.
> 0x000000000047c38b in encode_char (charset=charset@entry=0xb2fd88 <charset_table_init+16072>, c=c@entry=173) at charset.c:1760
> 1760              code_index = GET_TEMP_CHARSET_WORK_ENCODER (c);

What are the values of the following variables:

  temp_charset_work
  temp_charset_work->table
  temp_charset_work->table.encoder

Also, is it possible to reproduce this in an unoptimized build?

> (gdb) bt
> #0  0x000000000047c38b in encode_char (charset=charset@entry=0xb2fd88 <charset_table_init+16072>, c=c@entry=173) at charset.c:1760
> #1  0x000000000048772b in char_encodable_p (c=c@entry=173, attrs=<optimized out>) at coding.c:8941
> #2  0x0000000000490088 in Ffind_coding_systems_region_internal (start=6, end=<optimized out>, exclude=<optimized out>) at coding.c:9039

Do you have any idea where in that file is that character whose
codepoint is 173?  Seems like it could be at buffer position 6 or near
that.  If that's true, can you tell what character is there?

Thanks.